from discord.ext.commands import Bot

token = open("../token.txt")

cogs = ["Modules.TGH.automod.automod", "Modules.TGH.automod.ouat",
        "Modules.SSC.autoReply.Join", "Modules.SSC.autoReply.Leave",
        "Modules.SSC.ChangeServer.Change"]

prefix = 'o!'

"""
tokens = open("tokens.txt", 'r')
tokens = tokens.readlines()
bot_running = input("Would you like to run the test bot[T] or the default[D] :: ")
if bot_running == 'T':
    token = tokens[0].rstrip()
elif bot_running == 'D':
    token = tokens[1].rstrip()
tokens = ''
"""
client = Bot(command_prefix=prefix)
client.remove_command("help")


@client.event
async def on_ready():
    print('Logged in as:')
    print('{0.user}'.format(client))

    for cog in cogs:
        client.load_extension(cog)

client.run(token.read())
